import request from '@/utils/request'

// 查询水整点数据列表
export function listReportPointWater(query) {
  return request({
    url: '/ems/report/reportPointWater/list',
    method: 'get',
    params: query
  })
}

// 查询水整点数据详细
export function getReportPointWater(objId) {
  return request({
    url: '/ems/report/reportPointWater/' + objId,
    method: 'get'
  })
}

// 新增水整点数据
export function addReportPointWater(data) {
  return request({
    url: '/ems/report/reportPointWater',
    method: 'post',
    data: data
  })
}

// 修改水整点数据
export function updateReportPointWater(data) {
  return request({
    url: '/ems/report/reportPointWater',
    method: 'put',
    data: data
  })
}

// 删除水整点数据
export function delReportPointWater(objId) {
  return request({
    url: '/ems/report/reportPointWater/' + objId,
    method: 'delete'
  })
}
